<template>
  <div>
    <template v-if='type==1'>
      <right-write-weekly />
    </template>
    <template v-else-if='type==2'>
       <right-own-weekly/>
    </template>
    <template v-else-if='type==3'>
      <template  v-if='record.type == 1'>
        <right-depart-user-weekly :orgCode='record.orgCode'/>
      </template>
      <template  v-else-if='record.type == 2'>
        <right-personal-weekly :username='record.username'/>
      </template>
    </template>
    <template v-else-if='type==10'>
      <right-junior-weekly :username='record.username'></right-junior-weekly>
    </template>

    <template v-else-if='type==11'>
      <right-junior-batch-weekly :usernames='record.usernames'></right-junior-batch-weekly>
    </template>

    <template v-else-if='type==4'>
      <template  v-if='record.type == 1'>
        <right-all-project-weekly />
      </template>
      <template  v-else-if='record.type == 2'>
        <right-project-weekly :xm='record.id'/>
      </template>

    </template>

    <template v-else-if='type==5'>
       <right-statistics-weekly/>
    </template>

    <template v-else-if='type==6'>
      <right-export-weekly/>

    </template>
  </div>

</template>

<script>

import RightWriteWeekly from '@views/week/modules/RightWriteWeekly'
import RightOwnWeekly from '@views/week/modules/RightOwnWeekly'
import RightPersonalWeekly from '@views/week/modules/RightPersonalWeekly'
import RightDepartUserWeekly from '@views/week/modules/RightDepartUserWeekly'
import RightProjectWeekly from '@views/week/modules/RightProjectWeekly'
import RightAllProjectWeekly from '@views/week/modules/RightAllProjectWeekly'
import RightStatisticsWeekly from '@views/week/modules/RightStatisticsWeekly'
import RightExportWeekly from '@views/week/modules/RightExportWeekly'
import RightJuniorWeekly from '@views/week/modules/RightJuniorWeekly'
import RightJuniorBatchWeekly from '@views/week/modules/RightJuniorBatchWeekly'

export default {
  name: 'WeeklyRight',
  components: { RightJuniorBatchWeekly, RightJuniorWeekly, RightExportWeekly, RightStatisticsWeekly, RightAllProjectWeekly, RightProjectWeekly, RightDepartUserWeekly, RightPersonalWeekly, RightOwnWeekly, RightWriteWeekly },
  props: {
    type: {
      default: null,
      required: true
    },
    record: {
      type: Object,
      default: {},
      required: true
    }
  },

  watch: {
    record: {
      deep: true,
      handler() {
        console.info('左侧选择类型:'+this.type)
        console.info('左侧选择数据:')
        console.info(this.record)
      }
    }
  },
  data() {
    return {
      cardLoading: false,
      loading: false,
      loadingMore: false,
      showLoadingMore: true,
      data: [
        {
          title: 'Ant Design Title 1',
          last: 'Ant Design Title 1'
        },
        {
          title: 'Ant Design Title 2',
          last: 'Ant Design Title 2'
        },
        {
          title: 'Ant Design Title 3',
          last: 'Ant Design Title 3'
        },
        {
          title: 'Ant Design Title 4',
          last: 'Ant Design Title 4'
        }
      ]

    }
  }, methods: {

    onLoadMore() {
      this.loadingMore = true
    }
  }
}
</script>

<style scoped>

</style>